ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package models
  Definition Classes
    adam
- Alphabet
- Attribute
- Coverage
- DNAAlphabet
- IUPACAlphabet
- MdTag
- MdTagEvent
- OptionalPositionOrdering
- OptionalReferenceOrdering
- OptionalRegionOrdering
- PositionOrdering
- ReadGroup
- ReadGroupDictionary
- ReferenceOrdering
- ReferencePosition
- ReferencePositionSerializer
- ReferenceRegion
- ReferenceRegionSerializer
- RegionOrdering
- SequenceDictionary
- SequenceRecord
- SnpTable
- Symbol
- TagType
- VariantContext
- VariantContextSerializer

c

org.bdgenomics.adam.models

# ReadGroupDictionary 

###
Companion object ReadGroupDictionary

#### case class ReadGroupDictionary(readGroups: Seq[ReadGroup]) extends Product with Serializable

Builds a dictionary containing read groups.

Read groups must have a unique name across all samples in the dictionary. This dictionary provides numerical IDs for each group; these IDs are only consistent when referencing a single dictionary.

readGroups

  A seq of read groups to populate the dictionary.

Exceptions thrown

  `IllegalArgumentException` Throws an assertion error if there are multiple read groups with the same name.

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ReadGroupDictionary
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ReadGroupDictionary(readGroups: Seq[ReadGroup])

   readGroups

     A seq of read groups to populate the dictionary.

   Exceptions thrown

     `IllegalArgumentException` Throws an assertion error if there are multiple read groups with the same name.

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def ++(that: ReadGroupDictionary): ReadGroupDictionary

   Merges together two read group dictionaries.

   Merges together two read group dictionaries.

   that

     The read group dictionary to merge with.

   returns

     The merged read group dictionary.

4.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
5.  def apply(readGroupId: String): ReadGroup

   Returns the read group entry for an associated id.

   Returns the read group entry for an associated id.

   readGroupId

     The read group to look up.

   returns

     Detailed info for a read group.

6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native() @HotSpotIntrinsicCandidate()
10.  def getIndex(readGroupId: String): Int

    Returns the numerical index for a given read group id.

    Returns the numerical index for a given read group id.

    readGroupId

      The read group to find an index for.

    returns

      Returns a numerical index for a read group.

    Note

      This index is only guaranteed to have the same value for a given read group id when the index is pulled from the same read group dictionary.

11.  def isEmpty: Boolean

    returns

      Returns true if this dictionary contains no read groups.

12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
16.  val readGroupMap: Map[String, (ReadGroup, Int)]

    A representation of this read group dictionary that can be indexed into by read group id.

17.  val readGroups: Seq[ReadGroup]
18.  def size: Int

    The number of read groups in the dictionary.

19.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
20.  def toSamples: Seq[Sample]

    returns

      Converts this read group dictionary to a set of samples.

21.  def toString(): String
    Definition Classes
      ReadGroupDictionary → AnyRef → Any
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped